Index: sys/vm/vm_map.c
diff -u sys/vm/vm_map.c:1.187.2.12 sys/vm/vm_map.c:1.187.2.13
--- sys/vm/vm_map.c:1.187.2.12	Sat Nov 10 16:27:09 2001
+++ sys/vm/vm_map.c	Fri Mar  8 11:22:20 2002
@@ -1741,8 +1741,11 @@
 		 * to write out.
 		 * We invalidate (remove) all pages from the address space
 		 * anyway, for semantic correctness.
+		 *
+		 * note: certain anonymous maps, such as MAP_NOSYNC maps,
+		 * may start out with a NULL object.
 		 */
-		while (object->backing_object) {
+		while (object && object->backing_object) {
 			object = object->backing_object;
 			offset += object->backing_object_offset;
 			if (object->size < OFF_TO_IDX( offset + size))
